:root {
  --general-bg: #ffffff;
  --accent-color: #ebb400;
  --nav-cards-bg: #f0f0f0;
  --hover-bg: #e5e5e5;
  --btn-hover-bg: #e0ac00;
  --text-color: #222222;
  --input: #ffffff;
  --controls: #121212;
  --l-d-i-btn: #ffffff;
}

.dark-mode {
  --general-bg: #121212;
  --accent-color: #d4af37;
  --nav-cards-bg: #303030;
  --hover-bg: #3b3b3b;
  --btn-hover-bg: #c4a338;
  --text-color: #bbbbbb;
  --input: #bbbbbb;
  --place-holder: #121212;
  --l-d-i-btn: #121212;
}

/* Importing fonts */

/* الخط العثماني لرواية ورش */
@font-face {
  font-family: "Uthmanic-Warsh";
  src: url("../assets/fonts/Uthmanic-Warsh.otf") format("truetype");
}

/* IBM arabic */
@font-face {
  font-family: "IBM-R";
  src: url("../assets/fonts/IBM-Regular.ttf") format("truetype");
}

@font-face {
  font-family: "IBM-SB";
  src: url("../assets/fonts/IBM-SemiBold.ttf") format("truetype");
}
@font-face {
  font-family: "Naskh";
  src: url("../assets/fonts/Naskh.ttf") format("truetype");
}

/* Initializing page */
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

::selection {
  background-color: var(--accent-color);
  color: #121212;
}

body::-webkit-scrollbar {
  width: 7px;
}

body::-webkit-scrollbar-track {
  background-color: var(--nav-cards-bg);
}

body::-webkit-scrollbar-thumb {
  background-color: var(--btn-hover-bg);
}

html,
body {
  margin: 0;
  display: flex;
  scroll-behavior: smooth;
  flex-direction: column;
  background-color: var(--general-bg) !important;
  color: var(--accent-color) !important;
  font-family: "IBM-R", sans-serif !important;
  min-height: 100dvh;
}

nav {
  background: var(--nav-cards-bg);
  height: 100px;
  border-bottom: 2px var(--accent-color) solid;
}

nav div {
  padding: 1rem 1rem;
}

#more {
  background-color: var(--accent-color);
  margin: 15px 15px 0 15px;
  border: none;
  padding: 10px 20px;
  border-radius: 10px;
  font-size: 20px;
  font-weight: 500;
  transition: 0.3s all ease;
}

#more-7 {
  background-color: var(--accent-color);
  margin: 0 15px 0 15px;
  border: none;
  padding: 10px 20px;
  border-radius: 10px;
  font-size: 20px;
  font-weight: 500;
  transition: 0.3s all ease;
}

#more-7:hover {
  background-color: var(--btn-hover-bg);
  transition: 0.3s all ease;
}

#more-link {
  text-decoration: none;
  color: var(--general-bg);
}

#more-3 {
  background-color: var(--accent-color);
  margin: 15px 15px 0 15px;
  border: none;
  padding: 10px 20px;
  border-radius: 10px;
  font-size: 20px;
  font-weight: 500;
  transition: 0.3s all ease;
}

#more-link-3 {
  text-decoration: none;
  color: var(--general-bg);
}

#more:hover {
  background-color: var(--btn-hover-bg);
  transition: 0.3s all ease;
}

#more-3:hover {
  background-color: var(--btn-hover-bg);
  transition: 0.3s all ease;
}

#pre-loader {
  background: var(--general-bg)
    url(https://cdn.pixabay.com/animation/2022/07/29/03/42/03-42-15-221_512.gif)
    no-repeat center center;
  background-size: 4%;
  height: 100vh;
  width: 100%;
  position: fixed;
  z-index: 100;
}

header {
  margin: 50px 0 40px 0;
}

header h1 {
  color: var(--accent-color);
  font-weight: 800;
  margin: 0 10px 15px 10px;
}

header p {
  color: var(--text-color);
  margin: 0 10px 0 10px !important;
  font-size: 1.5rem !important;
}

main {
  display: flex;
  justify-content: center;
  align-items: center;
}

main section div {
  padding: 10px !important;
}

.card {
  border-radius: 15px !important;
  background-color: var(--nav-cards-bg) !important;
  transition: 0.4s all ease;
}

.card .card-title {
  font-weight: 500;
  color: var(--text-color) !important;
  font-size: 1.6rem;
}

.card:hover {
  background-color: var(--hover-bg) !important;
  transition: 0.4s all ease;
}

main section div a {
  color: var(--accent-color) !important;
  text-decoration: none;
}

.col i {
  color: var(--accent-color) !important;
  margin-top: 5px;
}

#section-header {
  margin: 0 0 10px 0;
  font-weight: 800;
}

hr {
  border: none !important;
  height: 4px !important;
  background-image: linear-gradient(
    to right,
    rgba(0, 0, 0, 0),
    var(--accent-color),
    rgba(0, 0, 0, 0)
  ) !important;
}

footer {
  background-color: var(--nav-cards-bg);
  color: var(--accent-color);
  padding: 15px 0 0 0;
  border-top: 2px var(--accent-color) solid;
  z-index: 9999;
}

footer p {
  font-size: 1.3rem;
  font-weight: 600;
  color: var(--btn-hover-bg);
}

#progress {
  position: fixed;
  bottom: 10px;
  right: 5px;
  height: 40px;
  width: 40px;
  display: none;
  place-items: center;
  border-radius: 50%;
  cursor: pointer;
  z-index: 99999;
}

#progress-value {
  color: var(--general-bg);
  background-color: var(--accent-color);
  padding: 7px 7.5px;
  font-size: 1rem !important;
  border-radius: 7px;
}

.carousel-inner {
  background-color: var(--nav-cards-bg);
  padding: 20px;
  border-radius: 15px;
}

.carousel-item {
  position: relative;
  height: 450px;
  text-align: justify;
}

.carousel-control-prev,
.carousel-control-next {
  margin: 0 10px;
}

.carousel-item p {
  width: 70%;
  margin: auto;
  color: var(--accent-color);
  font-size: 2rem;
  min-height: 100px;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
}

p .douae-span {
  color: var(--text-color);
}

.fa-star {
  color: var(--input);
  display: flex;
  justify-content: center;
  align-items: center;
}

.checked {
  color: var(--accent-color);
}

.rating-card {
  background-color: var(--nav-cards-bg);
  border-radius: 15px;
  padding: 30px !important;
  transition: 0.4s all ease;
}

.rating-card p {
  padding: 0 10px;
  color: var(--text-color);
  font-size: 20px;
  font-weight: 500;
}

.rating-card:hover {
  background-color: var(--hover-bg) !important;
  transition: 0.4s all ease;
}

.rating-btn {
  color: var(--general-bg);
}

#support {
  color: var(--general-bg) !important;
}

#under-construction {
  font-size: 30px;
}

.socials a {
  text-decoration: none;
}

.socials a i {
  color: var(--controls);
  margin-right: 5px;
  transition: 0.2s all ease;
}

#pp-content {
  color: var(--text-color) !important;
  padding: 10px 20px 0 20px;
  font-size: 1.4rem;
  font-weight: 500 !important;
}

#not-hover:hover {
  background-color: var(--nav-cards-bg) !important;
}

#techs i {
  padding: 0 5px;
  font-size: 1.8rem;
}

input {
  padding: 10px !important;
  margin: 0 0 0 80px !important;
  background-color: var(--input) !important;
  border: none !important;
}

textarea {
  background-color: var(--input) !important;
  border: none !important;
  height: 152px;
}

input::placeholder,
textarea::placeholder {
  color: var(--place-holder) !important;
}

label {
  color: var(--accent-color);
  font-size: 1.3rem;
  font-weight: 500;
}

.submit-btn {
  color: #121212 !important;
}

#more-2 {
  background-color: var(--accent-color);
  color: var(--general-bg);
  width: 100%;
  border: none;
  padding: 10px 20px;
  border-radius: 10px;
  font-size: 20px;
  font-weight: 500;
  transition: 0.3s all ease;
}

#more-2:hover {
  background-color: var(--btn-hover-bg);
  transition: 0.3s all ease;
}

.surah-content {
  background-color: var(--general-bg);
  border-radius: 10px;
}

.basmalah {
  width: 400px;
  display: block;
  padding: 30px 30px 20px 30px;
  margin: auto;
}

.othmanic-content {
  font-family: "Uthmanic-Warsh";
  font-size: 2rem;
  text-align: justify;
  padding: 10px 50px 30px 50px;
  color: var(--text-color);
}

.hisn-content {
  font-family: Naskh;
  font-weight: 500;
  font-size: 2.2rem;
  text-align: justify;
  padding: 20px 50px 20px 50px;
  color: var(--text-color);
}

#pagination button {
  background-color: var(--accent-color);
  border: none;
  color: var(--controls);
  border-radius: 10px;
  transition: 0.3s all ease;
}

#pagination a {
  text-decoration: none;
  color: var(--controls);
}

#pagination i {
  color: var(--controls) !important;
}

#pagination {
  display: flex;
  justify-content: center;
  align-items: center;
  margin: auto;
}

#surah-header {
  font-size: 2rem;
  font-weight: 800;
  color: var(--accent-color);
  padding: 20px 0 10px 0;
}

#back {
  margin: 0 8px 0 0 !important;
}

#back i {
  color: var(--general-bg);
  background-color: var(--accent-color);
  padding: 5px 10px;
  font-size: 1rem !important;
  border-radius: 7px;
}

.carousel-control-prev-icon {
  background-image: url("data:image/svg+xml;charset=utf8,%3Csvg xmlns='http://www.w3.org/2000/svg' fill='%23d4af37' viewBox='0 0 8 8'%3E%3Cpath d='M5.75 1l-3 3 3 3 1-1-2-2 2-2-1-1z'/%3E%3C/svg%3E") !important;
}

.carousel-control-next-icon {
  background-image: url("data:image/svg+xml;charset=utf8,%3Csvg xmlns='http://www.w3.org/2000/svg' fill='%23d4af37' viewBox='0 0 8 8'%3E%3Cpath d='M2.25 1l3 3-3 3-1-1 2-2-2-2 1-1z'/%3E%3C/svg%3E") !important;
}

.eng {
  font-family: "IBM-B", sans-serif !important;
}

.short-links-container {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  gap: 10px;
}

.short-links-container a {
  background-color: var(--nav-cards-bg);
  color: var(--text-color) !important;
  padding: 5px 15px;
  border-radius: 10px;
  text-decoration: none;
  font-size: 22px;
  font-weight: 500;
  display: flex;
  align-items: center;
  margin-bottom: 5px;
  transition: 0.3s all ease;
  border: #121212 !important;
}

.short-links-container a:hover {
  background-color: var(--hover-bg);
  transition: 0.3s all ease;
}

#theme-switch {
  height: 40px;
  width: 40px;
  padding: 0;
  border-radius: 50%;
  background-color: var(--accent-color);
  display: flex;
  justify-content: center;
  align-items: center;
  position: fixed;
  left: 20px;
  top: 28px;
  border: 2px solid var(--accent-color);
}

#theme-switch i {
  color: var(--l-d-i-btn);
  font-size: 20px;
}

#theme-switch i:last-child {
  display: none;
}

.dark-mode #theme-switch i:first-child {
  display: none;
}

.dark-mode #theme-switch i:last-child {
  display: block;
}

.hisn-title {
  font-size: 1.5rem;
  font-weight: 800;
  color: var(--accent-color);
  padding: 30px 40px 20px 40px;
}

.hisn-text {
  font-size: 1.2rem;
  font-weight: 500;
  padding: 0 60px 20px 60px !important;
  color: var(--text-color);
  padding: 0 20px;
  text-align: justify;
  line-height: 35px;
}

#qr-code {
  width: 200px;
  border-radius: 25px;
}

/* Tablet Media Query */
@media (max-width: 1024px) {
  .carousel-item {
    height: 450px;
  }
  .carousel-item p {
    font-size: 1.2rem;
  }
  .card .card-title {
    font-weight: 500;
    color: var(--text-color) !important;
    font-size: 1.2rem !important;
  }
  .col i {
    font-size: 1.2rem !important;
  }
  #more {
    font-size: 15px !important;
  }
  #more-3 {
    font-size: 15px !important;
  }
  #pp-content {
    font-size: 1.2rem;
  }
  header p {
    font-size: 1.4rem !important;
  }
  .header-image {
    width: 60%;
  }
  .othmanic-content {
    font-size: 1.5rem;
  }
  .othmanic-content {
    padding: 0px 40px 10px 40px;
  }
  .hisn-content {
    font-size: 1.7rem;
  }
  .hisn-content {
    padding: 0px 40px 0 40px;
  }
  .short-links-container a {
    font-size: 17px;
  }
  .hisn-title {
    padding: 20px 30px 10px 30px;
    font-size: 1.3rem;
  }
  .hisn-text {
    padding: 0 40px 20px 40px !important;
    font-size: 1.2rem;
  }
  #qr-code {
    width: 150px;
    border-radius: 18px;
  }
}

/* Mobile Media Query */
@media (max-width: 576px) {
  #pre-loader {
    background-size: 15%;
  }
  header p {
    font-size: 1rem !important;
  }
  nav {
    height: 80px;
  }
  nav a img {
    height: 40px;
  }
  .carousel-item {
    height: 500px;
  }
  .carousel-item p {
    font-size: 1.2rem;
  }
  .card .card-title {
    font-weight: 500;
    color: var(--text-color) !important;
    font-size: 1rem !important;
  }
  .col i {
    font-size: 1rem !important;
  }
  #more {
    font-size: 15px !important;
  }
  nav {
    border-left: none;
    border-right: none;
  }
  footer {
    border-left: none;
    border-right: none;
  }
  footer p {
    font-size: 1rem;
  }
  #pp-content {
    font-size: 1rem;
  }
  label,
  text-area,
  input {
    font-size: 1rem !important;
  }
  #more-2 {
    font-size: 1rem !important;
  }
  #more-3 {
    font-size: 1rem !important;
  }
  input::placeholder {
    font-size: 1rem !important;
  }
  .header-image {
    width: 70%;
  }
  .othmanic-content {
    font-size: 1.2rem;
  }
  .othmanic-content {
    margin: 0 -30px;
    padding: 0px 30px 0px 30px;
  }
  .hisn-content {
    font-size: 1.4rem;
  }
  .hisn-content {
    margin: 0 -30px;
    padding: 0 30px 0 30px;
  }
  .short-links-container a {
    font-size: 14px;
  }
  #progress {
    bottom: 8px;
    right: 8px;
  }
  .hisn-title {
    padding: 20px 20px 10px 20px;
    font-size: 1.1rem;
  }
  .hisn-text {
    padding: 0 8px 20px 8px !important;
    font-size: 1rem;
  }
  #theme-switch {
    top: 19px;
  }
  #qr-code {
    width: 130px;
    border-radius: 15px;
  }
}

/* -------------------- Search Bar Style ---------------------- */

#surahSearch {
  width: 100%;
  max-width: 600px;
  margin: 0 auto !important;
  padding: 14px 18px !important;

  background-color: var(--nav-cards-bg) !important;
  color: var(--text-color) !important;

  border: 2px solid var(--accent-color) !important;
  border-radius: 15px !important;

  box-shadow: none !important;
  transition: none !important;
}

#surahSearch::placeholder {
  color: var(--text-color) !important;
  opacity: 0.6;
}

#surahSearch:focus {
  outline: none !important;
  box-shadow: none !important;
  border-color: var(--accent-color) !important;
}

#searchError {
  display: inline-block;
  font-size: 2rem;
  font-weight: 500;
  opacity: 0.85;
  color: var(--accent-color);
}

@media (max-width: 576px) {
  #surahSearch {
    padding: 12px 16px !important;
    font-size: 1rem !important;
  }

  #searchError {
    font-size: 0.95rem;
  }
}
